Package com.smartgwt.logicalstructure.widgets.menu

# Class MenuButtonLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.ButtonLogicalStructure
com.smartgwt.logicalstructure.widgets.menu.MenuButtonLogicalStructure

Direct Known Subclasses:
  `TreeMenuButtonLogicalStructure`

public class MenuButtonLogicalStructure extends ButtonLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `autoDestroyMenu`
  `String`
  `editProxyConstructor`
  `String`
  `hiliteAccessKey`
  `String`
  `icon`
  `Menu`
  `menu`
  `String`
  `menuAlign`
  `String`
  `menuAnimationEffect`
  `String`
  `menuButtonImage`
  `String`
  `menuButtonImageUp`
  `String`
  `rollOverMenuHideDelay`
  `String`
  `showMenuBelow`
  `String`
  `showMenuButtonImage`
  `String`
  `showMenuOnRollOver`
  `String`
  `title`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.ButtonLogicalStructure

  `actionType, adaptWidthShowIconOnly, align, autoFit, baseStyle, canAdaptWidth, definingProperty, disabledIconCursor, heightAsString, iconAlign, iconCursor, iconHeight, iconOnlyBaseStyle, iconOrientation, iconSize, iconSpacing, iconStyle, iconWidth, overflow, radioGroup, showClippedTitleOnHover, showDisabled, showDisabledIcon, showDown, showDownIcon, showFocused, showFocusedIcon, showRollOver, showRollOverIcon, showSelectedIcon, state, styleName, valign, widthAsString, wrap`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure

  `ariaLabel, ignoreRTL, labelHPad, labelVPad, overCanvasConstructor, redrawOnStateChange, selected, showFocusedAsOver, showMenuOnClick, showOverCanvas, showRTLIcon, vIconStyle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadius, canAcceptDrop, canAdaptHeight, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canFocus, canHover, canSelectText, canvasItem, children, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contents, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, leaveGroupLabelSpace, leavePageSpace, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructor, minNonEdgeSize, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvas, parentElement, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, tabIndex, testDataContext, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuButtonLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### autoDestroyMenu

    public String autoDestroyMenu

  - ### editProxyConstructor

    public String editProxyConstructor

  - ### hiliteAccessKey

    public String hiliteAccessKey

  - ### icon

    public String icon

  - ### menu

    public Menu menu

  - ### menuAlign

    public String menuAlign

  - ### menuAnimationEffect

    public String menuAnimationEffect

  - ### menuButtonImage

    public String menuButtonImage

  - ### menuButtonImageUp

    public String menuButtonImageUp

  - ### rollOverMenuHideDelay

    public String rollOverMenuHideDelay

  - ### showMenuBelow

    public String showMenuBelow

  - ### showMenuButtonImage

    public String showMenuButtonImage

  - ### showMenuOnRollOver

    public String showMenuOnRollOver

  - ### title

    public String title

- ## Constructor Details

  - ### MenuButtonLogicalStructure

    public MenuButtonLogicalStructure()